Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
users
/
{userId}
/
conferencing
/
default
Set the default conferencing app for an organization user
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/users/{userId}/conferencing/default \
  --header 'Content-Type: application/json' \
  --data '
{
  "appSlug": "google-meet"
}
'
{
  "status": "success"
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

userId
number
required
orgId
number
required

Body

application/json
appSlug
enum<string>
required

The slug of the conferencing app to set as default

Available options:
google-meet,
zoom,
msteams,
daily-video
Example:

"google-meet"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"